> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Supplier



## OpenAPI

````yaml post /suppliers
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /suppliers:
    post:
      tags:
        - Suppliers
      summary: Create a Supplier
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                supplier:
                  type: object
                  properties:
                    name:
                      type: string
                      example: My New Supplier
                    description:
                      type: string
                      example: Specialist in Construction
                    headline:
                      type: string
                      example: Nice people to do business with
                    tax_number:
                      type: string
                      example: '1234568983'
                    vetting_status:
                      type: string
                      enum:
                        - PASSED
                        - FAILED
                        - PENDING
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '77'
                  name:
                    type: string
                    example: Company Inc
                  description:
                    type: string
                    example: A detailed biography of the supplier.
                  headline:
                    type: string
                    example: Proven track record in medical procurement
                  email:
                    type: string
                    example: jack_jones@companyinc.com
                  active:
                    type: string
                    example: 'true'
                  vetting_status:
                    type: string
                    example: PASSED
                  tax_number:
                    type: string
                    example: '9876543234'
                  tax_registered:
                    type: boolean
                    example: 'true'
                  cis_contractor:
                    type: boolean
                    example: 'true'
                  payment_terms_in_days:
                    type: integer
                    example: '30'
                  duns_number:
                    type: string
                    example: '12345678910'
                  linkedin_url:
                    type: string
                    example: https://www.linkedin.com/2342342
                  onboarding_template_name:
                    type: string
                    example: Sole Trader Onboarding
                  invited_by:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '66'
                      first_name:
                        type: string
                        example: Lorna
                      last_name:
                        type: string
                        example: Lawless
                      email:
                        type: string
                        example: lorna@example.com
                      org_name:
                        type: string
                        example: Example Org
                      org_id:
                        type: integer
                        example: '186'
                      business_unit:
                        type: string
                        example: Resident Services
                      division:
                        type: string
                        example: Environment & Streetscene
                      department:
                        type: string
                        example: Housing
                      vetting_status:
                        type: string
                        example: PASSED
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                      has_oversight:
                        type: string
                        example: 'true'
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  archived_at:
                    type: string
                    format: date-time
                  custom_fields:
                    type: object
                    properties:
                      key:
                        type: string
                        example: value
                  primary_address:
                    type: object
                    properties:
                      id:
                        type: string
                        example: '326'
                      line1:
                        type: string
                        example: '326'
                      line2:
                        type: string
                        example: Westbourne Grove
                      city:
                        type: string
                        example: Brighton
                      region:
                        type: string
                        example: East Sussex
                      postcode:
                        type: string
                        example: BN99 9XX
                      country_code:
                        type: string
                        example: GB
                      formatted:
                        type: string
                        example: >-
                          326, Westbourne Grove, Brighton, East Sussex, BN99
                          9XX, United Kingdom
                  invoice_address:
                    type: object
                    properties:
                      id:
                        type: string
                        example: '326'
                      line1:
                        type: string
                        example: '326'
                      line2:
                        type: string
                        example: Westbourne Grove
                      city:
                        type: string
                        example: Brighton
                      region:
                        type: string
                        example: East Sussex
                      postcode:
                        type: string
                        example: BN99 9XX
                      country_code:
                        type: string
                        example: GB
                      formatted:
                        type: string
                        example: >-
                          326, Westbourne Grove, Brighton, East Sussex, BN99
                          9XX, United Kingdom
                  admin_custom_fields:
                    type: object
                    properties:
                      key:
                        type: string
                        example: value
                  custom_field_detailed:
                    type: object
                    properties:
                      key:
                        type: string
                        example: key
                      value:
                        type: string
                        example: value
                  skills:
                    type: array
                    items:
                      properties:
                        skill_id:
                          type: integer
                          example: 123
                        skill_slug:
                          type: string
                          example: computer-acquisitions
                        skill_name:
                          type: string
                          example: Computer Acquisitions
                        why:
                          type: string
                          example: 10 years experience
                        precedence:
                          type: integer
                          example: 1
                  company_registration_number:
                    type: string
                    example: '123456789'
                  website:
                    type: string
                    example: https://www.companyinc.com
                  supplier_risk_factors:
                    type: array
                    items:
                      properties:
                        risk_factor_name:
                          type: string
                          example: Insurance Risk
                        risk_level_name:
                          type: string
                          example: RED
                        dated:
                          type: string
                          example: YYYY-MM-DD
                        effective_at:
                          type: string
                          format: date-time
                        comments:
                          type: string
                          example: >-
                            Please upload Professional Indemnity Insurance
                            (minimum £1million) document. (26/07/2024)
                  bank_accounts:
                    type: array
                    items:
                      properties:
                        id:
                          type: string
                          example: '132'
                        currency:
                          type: string
                          example: GBP
                        country_code:
                          type: string
                          example: GB
                        account_holder_name:
                          type: string
                          example: Organistation Ltd
                        account_holder_type:
                          type: string
                          example: Business
                        account_number:
                          type: string
                          example: '****1234'
                        sort_code:
                          type: string
                          example: '123456'
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                  cis_rate:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '3'
                      label:
                        type: string
                        example: Construction Industry Scheme Gross Payment
                      tax_reference:
                        type: string
                        enum:
                          - sales
                          - cis
                      key:
                        type: string
                        example: cis_registered_contractors_deduction
                      rate:
                        type: string
                        example: '20.0'
                      country_code:
                        type: string
                        example: GB
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      archived:
                        type: boolean
                        example: 'false'
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````